# Class JBusinessNetworkingApi

#### Hierarchy (View Summary)

- JBaseApi
  - JBusinessNetworkingApi

- Defined in jamespot-user-api/src/apis/businessNetworking/businessNetworking.ts:5

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

getInfos

## Constructors

### constructor

- new JBusinessNetworkingApi(jApi: JamespotUserApi): JBusinessNetworkingApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns JBusinessNetworkingApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### getInfos

- getInfos<T extends jObjectLittle = jObjectLittle>(
  id: number,
  format?: "raw-little" | "raw-list" | "raw-view",
  ): Promise<ApiWrapper<T, BaseMessages>>

  #### Type Parameters

  - T extends jObjectLittle = jObjectLittle

  #### Parameters

  - id: number
  - `Optional` format: "raw-little" | "raw-list" | "raw-view"

  #### Returns Promise<ApiWrapper<T, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/businessNetworking/businessNetworking.ts:6